Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/public/get_block_rfq_trades \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "public/get_block_rfq_trades",
  "params": {
    "currency": "BTC"
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/public/get_block_rfq_trades"

payload = {
"jsonrpc": "2.0",
"id": 1,
"method": "public/get_block_rfq_trades",
"params": { "currency": "BTC" }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 1,
method: 'public/get_block_rfq_trades',
params: {currency: 'BTC'}
})
};

fetch('https://test.deribit.com/api/v2/public/get_block_rfq_trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "continuation": "1739739009234:6570",
    "block_rfqs": [
      {
        "id": 6611,
        "timestamp": 1739803305362,
        "combo_id": "BTC-CS-28FEB25-100000_106000",
        "legs": [
          {
            "price": 0.1,
            "direction": "buy",
            "instrument_name": "BTC-28FEB25-100000-C",
            "ratio": 1
          },
          {
            "price": 0.05,
            "direction": "sell",
            "instrument_name": "BTC-28FEB25-106000-C",
            "ratio": 1
          }
        ],
        "amount": 12.5,
        "direction": "sell",
        "mark_price": 0.010356754,
        "trades": [
          {
            "price": 0.05,
            "amount": 12.5,
            "direction": "sell",
            "hedge_amount": 50
          }
        ],
        "hedge": {
          "price": 96000,
          "amount": 50,
          "direction": "sell",
          "instrument_name": "BTC-PERPETUAL"
        },
        "index_prices": {
          "btc_usd": 96000,
          "btc_usdc": 95950
        }
      },
      {
        "id": 6600,
        "timestamp": 1739774397766,
        "combo_id": "BTC-CS-28FEB25-100000_106000",
        "legs": [
          {
            "price": 0.1,
            "direction": "buy",
            "instrument_name": "BTC-28FEB25-100000-C",
            "ratio": 1
          },
          {
            "price": 0.05,
            "direction": "sell",
            "instrument_name": "BTC-28FEB25-106000-C",
            "ratio": 1
          }
        ],
        "amount": 12.5,
        "direction": "sell",
        "mark_price": 0.007458089,
        "trades": [
          {
            "price": 0.05,
            "amount": 12.5,
            "direction": "sell",
            "hedge_amount": 50
          }
        ],
        "hedge": {
          "price": 96000,
          "amount": 50,
          "direction": "sell",
          "instrument_name": "BTC-PERPETUAL"
        },
        "index_prices": {
          "btc_usd": 96000,
          "btc_usdc": 95950
        }
      },
      {
        "id": 6579,
        "timestamp": 1739743922308,
        "combo_id": "BTC-CS-17FEB25-89000_90000",
        "legs": [
          {
            "price": 0.08,
            "direction": "buy",
            "instrument_name": "BTC-17FEB25-89000-C",
            "ratio": 1
          },
          {
            "price": 0.075,
            "direction": "sell",
            "instrument_name": "BTC-17FEB25-90000-C",
            "ratio": 1
          }
        ],
        "amount": 12.5,
        "direction": "sell",
        "mark_price": 0.010314468,
        "trades": [
          {
            "price": 0.005,
            "amount": 12.5,
            "direction": "sell"
          }
        ]
      }
    ]
  }
}

Query Parameters

currency
enum<string>
required

The currency symbol or "any" for all Currency name or "any" if don't care

Available options:
BTC,
ETH,
USDC,
USDT,
EURR,
any
continuation
string

Continuation token for pagination. Consists of timestamp and block_rfq_id.

Example:

"1738050297271:103"

count
integer

Count of Block RFQs returned, maximum - 1000

Required range: 1 <= x <= 1000

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request